summaryrefslogtreecommitdiff
path: root/debian/emacsVER-bin-common.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/emacsVER-bin-common.postinst')
-rw-r--r--debian/emacsVER-bin-common.postinst21
1 files changed, 21 insertions, 0 deletions
diff --git a/debian/emacsVER-bin-common.postinst b/debian/emacsVER-bin-common.postinst
new file mode 100644
index 0000000..593d277
--- /dev/null
+++ b/debian/emacsVER-bin-common.postinst
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+FLAVOR=@DEB_FLAVOR@
+MAJOR=@MAJOR_VERSION@
+MINOR=@MINOR_VERSION@
+FULL=@FULL_VERSION@
+ALTERNATIVES="@ALTERNATIVES@"
+BIN_PRIORITY=@BIN_PRIORITY@
+
+# update-alternatives on things that collide with xemacs, other editors
+for i in ${ALTERNATIVES}
+do
+ update-alternatives \
+ --install /usr/bin/$i $i /usr/bin/$i.${FLAVOR} ${BIN_PRIORITY} \
+ --slave /usr/share/man/man1/$i.1.gz $i.1.gz \
+ /usr/share/man/man1/$i.${FLAVOR}.1.gz
+done
+
+#DEBHELPER#